nn.pp.rccore

## Interface VirtualMediaInfoListener

- All Known Implementing Classes:
    RCAdapter

      public interface VirtualMediaInfoListener

  Event handlers for Virtual Media, VM settings and USB configuration events
  See Also:
    `RCCore.addVirtualMediaInfoListener(VirtualMediaInfoListener, int)`, `RCCore.removeVirtualMediaInfoListener(VirtualMediaInfoListener)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALL` All registration bits
    `static int` | `REMOTE_ISO` Registration bit for remote ISO virtual media events
    `static int` | `USB_PROFILE` Registration bit for USB profiles events
    `static int` | `VM_GENERAL` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `remoteIsoListChanged(java.util.List<IVMMountRequestResponse> list)` The list of remote mountable ISO images has changed
    `void` | `remoteIsoMountFinished(IVMMountRequestResponse mount)` Remote ISO mounting has finished
    `void` | `remoteIsoSupportChanged(boolean supported)` Support for remote ISO mounting has changed
    `void` | `usbProfileListChanged(IUsbProfileList profileList)` The list of USB profiles supported by the target port has changed
    `void` | `virtualMediaConfigChanged(IVMConfigInfo config)` The Virtual Media configuration has changed
    `void` | `virtualMediaDriveCountChanged(int driveCount)` Deprecated.
    `void` | `virtualMediaReadOnlyChanged(boolean readOnly)` Deprecated.
    `void` | `virtualMediaSupportChanged(boolean supported)` Deprecated.

- - ### Field Detail

    - #### VM_GENERAL

          @Deprecated
          static final int VM_GENERAL

      Deprecated.
      Registration bit for general virtual media events
      See Also:
        Constant Field Values

    - #### REMOTE_ISO

          static final int REMOTE_ISO

      Registration bit for remote ISO virtual media events
      See Also:
        Constant Field Values

    - #### USB_PROFILE

          static final int USB_PROFILE

      Registration bit for USB profiles events
      See Also:
        Constant Field Values

    - #### ALL

          static final int ALL

      All registration bits
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### virtualMediaSupportChanged

          @Deprecated
          void virtualMediaSupportChanged(boolean supported)

      Deprecated.

      Virtual media support (in general) has changed

      This is obsolete. All KX devices do support Virtual Media.

      This event is sent when registered with the `VM_GENERAL` event mask.

      Parameters:
        `supported` - true if Virtual Media is supported, false otherwise
      See Also:
        `RCCore.isVirtualMediaSupported()`

    - #### virtualMediaReadOnlyChanged

          @Deprecated
          void virtualMediaReadOnlyChanged(boolean readOnly)

      Deprecated.

      Virtual media read-only enforcement has changed

      This has been superseded by IKvmPort.VmPermissions enumeration and according IKvmPort.VmPermission value. Do not use this anymore.

      This event is sent when registered with the `VM_GENERAL` event mask.

      Parameters:
        `readOnly` - true if Virtual Media is forced to read-only, false otherwise
      See Also:
        `RCCore.isVirtualMediaReadOnly()`

    - #### virtualMediaDriveCountChanged

          @Deprecated
          void virtualMediaDriveCountChanged(int driveCount)

      Deprecated.

      The count of emulated virtual media drives has changed

      This has been superseded by `virtualMediaConfigChanged(IVMConfigInfo)` event handler. Do not use this anymore.

      This event is sent when registered with the `VM_GENERAL` event mask.

      Parameters:
        `driveCount` - the number of Virtual Media drives
      See Also:
        `RCCore.getVirtualMediaDriveCount()`, `virtualMediaConfigChanged(IVMConfigInfo)`, `RCCore.getVMConfigInfo()`

    - #### remoteIsoSupportChanged

          void remoteIsoSupportChanged(boolean supported)

      Support for remote ISO mounting has changed

      This event is sent when registered with the `REMOTE_ISO` event mask.

      Parameters:
        `supported` - true if remote ISO mounting is supported, false otherwise
      See Also:
        `RCCore.isVirtualMediaRemoteIsoSupported()`

    - #### remoteIsoListChanged

          void remoteIsoListChanged(java.util.List<IVMMountRequestResponse> list)

      The list of remote mountable ISO images has changed

      This event is sent when registered with the `REMOTE_ISO` event mask.

      Parameters:
        `list` - the list of remote mountable ISO images
      See Also:
        `remoteIsoSupportChanged(boolean)`, `RCCore.getVirtualMediaRemoteIsoList()`

    - #### remoteIsoMountFinished

          void remoteIsoMountFinished(IVMMountRequestResponse mount)

      Remote ISO mounting has finished

      The mounting was either successful or an error occurred. See IVMMountRequestResponse.NotificationEvent for the result value.

      This event is sent when registered with the `REMOTE_ISO` event mask.

      Parameters:
        `mount` - the information about the result of the mount operation
      See Also:
        `RCCore.mountOrUnmountRemoteIso(IVMMountRequestResponse)`, `IVMMountRequestResponse`

    - #### usbProfileListChanged

          void usbProfileListChanged(IUsbProfileList profileList)

      The list of USB profiles supported by the target port has changed

      This event is sent when registered with the `USB_PROFILE` event mask.

      Parameters:
        `profileList` - the list of supported USB profiles
      See Also:
        `IUsbProfileList`, `RCCore.getUsbProfileList()`

    - #### virtualMediaConfigChanged

          void virtualMediaConfigChanged(IVMConfigInfo config)

      The Virtual Media configuration has changed

      This event is sent when registered with the `USB_PROFILE` event mask.

      Parameters:
        `config` - the updated Virtual Media configuration
      See Also:
        `RCCore.getVMConfigInfo()`

Copyright © 2025 Raritan Inc. All Rights Reserved.